package com.fs.his.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 售后订单操作对象 fs_store_after_sales_logs
 *
 * @author fs
 * @date 2023-06-13
 */
public class FsStoreAfterSalesLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long logsId;

    /** 售后id */
    @Excel(name = "售后id")
    private Long storeAfterSalesId;

    /** 操作类型 */
    @Excel(name = "操作类型")
    private Integer changeType;

    /** 操作备注 */
    @Excel(name = "操作备注")
    private String changeMessage;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date changeTime;

    /** 操作人 */
    @Excel(name = "操作人")
    private String operator;

    private Long companyId;

    private Long storeId;

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public void setLogsId(Long logsId)
    {
        this.logsId = logsId;
    }

    public Long getLogsId()
    {
        return logsId;
    }
    public void setStoreAfterSalesId(Long storeAfterSalesId)
    {
        this.storeAfterSalesId = storeAfterSalesId;
    }

    public Long getStoreAfterSalesId()
    {
        return storeAfterSalesId;
    }
    public void setChangeType(Integer changeType)
    {
        this.changeType = changeType;
    }

    public Integer getChangeType()
    {
        return changeType;
    }
    public void setChangeMessage(String changeMessage)
    {
        this.changeMessage = changeMessage;
    }

    public String getChangeMessage()
    {
        return changeMessage;
    }
    public void setChangeTime(Date changeTime)
    {
        this.changeTime = changeTime;
    }

    public Date getChangeTime()
    {
        return changeTime;
    }
    public void setOperator(String operator)
    {
        this.operator = operator;
    }

    public String getOperator()
    {
        return operator;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("logsId", getLogsId())
            .append("storeAfterSalesId", getStoreAfterSalesId())
            .append("changeType", getChangeType())
            .append("changeMessage", getChangeMessage())
            .append("changeTime", getChangeTime())
            .append("operator", getOperator())
            .append("companyId", getCompanyId())
            .append("storeId", getStoreId())
            .toString();
    }
}
